@import 'font.scss';
// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}

// global class
.text{
    &--blue{
        color: #a7f4fa;
    }
}
.text-center{
    text-align: center;
}
.clearfix{
    &::after {
        content: "";
        display: block;
        clear: both;
    }
}
.container{
    // width: 980px;
    width: 1060px;
    margin: 0 auto;
}
.section{
    &__head {
        // margin-top: -75px;
        padding-bottom: 10px;
        text-align: center;
        z-index: 2;
        position: relative;
        color: #b6a7a0;
        &::after{
            content: '';
            background: url('./../static/images/line.png') no-repeat top center;
            display: block;
            width: 100%;
            height: 25px;
            margin: 20px 0;
        }
    }
    &__content{
        padding: 0 50px;
        color: #b6a7a0;
    }
    &__btn{
        text-align: center;
        // position: absolute;
        // left: 0;
        // right: 0;
        // bottom: 42px;
    }
}
// .btns {
//     &__normal {
//         background:url("../static/images/btn_normal.png")top center no-repeat;
//         width:330px;
//         height:67px;
//         display:flex;
//         line-height: 1em;
//         align-items:center;
//         justify-content: center;
//         margin:33px auto;
//         text-align:center;
//         color:#ffd6be;
//         cursor: pointer;
//         -webkit-filter: grayscale(0); /* Safari 6.0 - 9.0 */
//         filter: grayscale(0);
//         font-size: 19px;
//         span {
//             font-size:.8em;
//         }
//         &:hover , &:focus {
//            opacity: 0.8;
//         }
//         &.received,
//         &.disabled {
//             background:url("../static/images/btn_disable.png")top center no-repeat;
//             pointer-events: none;
//             -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
//             filter: grayscale(100%);
//         }
//     }
// }


.btn{
    font-family: 'Kanit', sans-serif;
    cursor: pointer;
    &:focus{
        outline: none;
    }
}
img{
    max-width: 100%;
}
//banner
.preorder {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    //height:3365px;
    background-color: #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--header {
            height: 730px;
        }
    }
    & .preorder-inner{
        background: no-repeat top center url(../static/images/bg.jpg) #5ccce0;
        width: 1105px;
        margin: 0 auto;
        position: relative;
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
    &__scroll{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        & img{
            animation: mover 1s infinite alternate;
        }
    }
    & .btn-join{
        background: url('./../static/images/btn_join.png') no-repeat 0 0;
        padding: 18px 25px;
        color: #fff;
        font-size: 26px;
        position: absolute;
        bottom: 50px;
        right: 150px;
        text-decoration: none;
        z-index: 99;
        width: 185px;
        text-align: center;
        text-shadow: 0px -2px 0px #0030a1;
        &:hover{
            background-position: 0 -86px;
        }
    }
}

//section condition
.condition {
    &::after{
        content: '';
        background: url('./../static/images/charactor_main.png') no-repeat top center;
        width: 320px;
        height: 790px;
        display: block;
        position: absolute;
        bottom: 0;
        z-index: 100;
    }
    &__list {
        padding-left: 30px;
        color: #b6a7a0;
        line-height: 32px;
        > li {
            list-style-type: decimal;
        }
    }
    & .container{
        background: url("./../static/images/bg_body.png") repeat-y top center;
        height: 700px;
        border-radius: 50px;
        position: relative;
        padding: 60px 0;
        &:before{
            content: '';
            background: url("./../static/images/bg_body_top.png") no-repeat top center;
            width: 100%;
            height: 60px;
            display: block;
            top: 0;
            position: absolute;
        }
        &:after{
            content: '';
            background: url("./../static/images/bg_body_bottom.png") no-repeat top center;
            width: 100%;
            height: 60px;
            display: block;
            bottom: 0;
            position: absolute;
        }
    }
    & .section__content{
        padding-left: 290px;
    }
}

//section costume
.costume{
    & .container{
        background: url("./../static/images/bg_costume.png") no-repeat top center;
        height: 3800px;
    }
    &-items{
        display: inline-block;
        vertical-align: middle;
        width: 31%;
        padding: 2px 5px;
    }
    &__block{
        margin: 60px 0;
    }
}
.btn-costume{
    background-color: #d27f73;
    color: #fff;
    padding: 7px 10px;
    min-width: 200px;
    display: inline-block;
    border-radius: 50px;
    text-align: center;
    margin-bottom:30px;
}

//soul page
.page{
    &__wrapper{
        //background: url("./../static/images/bg_inner.jpg") no-repeat top center;
        width: 1105px;
        height: 700px;
        margin: 0 auto;
        position: relative;
        overflow: unset;
        & .container{
            background: url("./../static/images/bg_body.png") repeat-y top center;
            //height: 700px;
            border-radius: 50px;
            position: relative;
            margin-top: 165px;
            padding:60px 0;
            &:before{
                content: '';
                background: url("./../static/images/bg_body_top.png") no-repeat top center;
                width: 100%;
                height: 60px;
                display: block;
                top: 0;
                position: absolute;
            }
            &:after{
                content: '';
                background: url("./../static/images/bg_body_bottom.png") no-repeat top center;
                width: 100%;
                height: 60px;
                display: block;
                bottom: 0;
                position: absolute;
            }

        }
    }
}
.dungeon{
    &__items{
        width:25%;
        float: left;
        text-align: center;
        position: relative;
        padding: 10px 15px;
        box-sizing: border-box;
        &.disabled{
            -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
            filter: grayscale(100%);
        }
        &--text{
            min-height: 90px;
            font-size: 18px;
            font-weight: normal;
        }
        & .btn-default{
            position: absolute;
            bottom: 30px;
            left: 0;
            right: 0;
            margin: 0 auto;
        }
    }
}
// .btn-soul{
//     background: url('./../static/images/btn_soul.png') no-repeat 0 0;
//     width: 120px;
//     height: 30px;
//     color: #5f5f5f;
//     text-align: center;
//     padding: 3px;
//     display: block;
//     margin: 0 auto;
//     cursor: pointer;
//     &:hover{
//         background-position: 0 -47px;
//     }

//     &.disabled{
//         pointer-events: none;
//         -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
//         filter: grayscale(100%);
//     }
// }
.event-page{
    background: url("./../static/images/bg_event.jpg") no-repeat top center;
    width: 1105px;
    height: 1650px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
}
.history-page{
    background: url("./../static/images/bg_history.jpg") no-repeat top center;
    width: 1105px;
    height: 700px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
}
.lucky-page{
    background: url("./../static/images/bg_lucky.jpg") no-repeat top center;
    width: 1105px;
    height: 1405px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    &::after{
        content: '';
        background: url('./../static/images/charactor_lucky.png') no-repeat top center;
        width: 600px;
        height: 635px;
        display: block;
        margin: 0 auto;
        position: absolute;
        pointer-events: none;
        left: 0;
        right: 0;
        bottom: 0;
    }
}
.exchange-page{
    background: url("./../static/images/bg_exchange.jpg") no-repeat top center;
    width: 1105px;
    height: 1820px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    &::after{
        content: '';
        background: url('./../static/images/charactor_exchange.png') no-repeat top center;
        width: 520px;
        height: 545px;
        display: block;
        margin: 0 auto;
        position: absolute;
        right: 0;
        bottom: 0;
    }
}

//history page
.history{
    // &::after{
    //     content: '';
    //     background: url("./../static/images/charactor_history.png") no-repeat top center;
    //     width: 215px;
    //     height: 395px;
    //     display: block;
    //     position: absolute;
    //     left:0;
    //     bottom: 0;
    // }
    &__list{
        & li::after {
            content: "";
            display: block;
            clear: both;
        }
        &--left{
            float: left;
        }
        &--right{
            float: right;
        }
        &--date{
            margin-right: 15px;
        }
    }
    & .section__head{
        &:after{
            background: none;
            height: 0;
        }
        & h3{
            background: url('./../static//images/bg_title_history.png') no-repeat top center;
            padding: 25px;
            color: #fff;
            width: 185px;
            margin: 0 auto;
            margin-top: -95px;
        }
    }
    & .section__content{
        color: #fff;
    }
}
.btn-default,
.modal__button{
    background: url('./../static/images/btn-default.png') no-repeat 0 0;
    display: inline-block;
    padding: 15px 20px;
    font-size: 20px;
    width: 140px;
    text-align: center;
    margin: 0 15px;
    cursor: pointer;
    text-decoration: none;
    color: #fff;
    text-shadow: 0px -2px 0px #0030a1;
    border-radius: 0;
    line-height: 1.5em;
    &:hover{
        background-position: 0 -68px;
    }
    &.disabled{
        pointer-events: none;
        -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
        filter: grayscale(100%);
    }
}
.modal__button{
    width: 124px;
    padding: 5px;
    background-size: cover;
    &:hover{
        background-position: 0 -51px;
        background-color: transparent;
    }
}

//open soul page
.opensoul{
    &::after{
        content: '';
        background: url("./../static/images/charactor_opensoul.png") no-repeat top center;
        width: 330px;
        height: 455px;
        display: block;
        position: absolute;
        right: 0;
        bottom: 0;
    }
    & .items__box:first-child{
        // display: block;
        display: inline-block;
        margin: 0 auto;

        &.one_item{
            top: 50%;
            position: relative;
            margin-top: -56px;
        }
    }
    & .section__head{
        margin-bottom: 0;
    }
    & .content__scroll{
        height: 430px;
        padding-top: 15px;
    }
}
.items{
    &__box{
        display: inline-block;
        width: 33.33%;
        text-align: center;
        vertical-align: middle;
        &--inner{
            display: inline-block;
            position: relative;
        }
        &--count{
            background: url("./../static/images/num.png")  no-repeat top center;
            width: 50px;
            height: 25px;
            color: #6d4123;
            position: absolute;
            right: 0;
            bottom: 0;
            padding: 9px 0;
            text-align: center;
            font-weight: bold;
            margin-right: -10px;
        }
        &.send-item{
            margin: 5% 0;
        }
    }
}


//send page
.send{
    &::after{
        content: '';
        background: url("./../static/images/charactor_send.png") no-repeat top center;
        width: 244px;
        height: 400px;
        display: block;
        position: absolute;
        right: 0;
        bottom: 0;
    }
}
.items__box--inner{
    cursor: pointer;
    &.active{
        -webkit-filter: drop-shadow(1px 1px 5px #f34547);
        filter: drop-shadow(1px 1px 5px #f34547);
    }
    &.select-item{
        &:hover{
            -webkit-filter: drop-shadow(1px 1px 5px #f34547);
            filter: drop-shadow(1px 1px 5px #f34547);
        }
    }
}
.send,
.opensoul{
    & .items__wrapper{
        width: 400px;
        margin: 0 auto;
        text-align: center;
    }
}

// redeem page
.count{
    display: inline-block;
    background-color: #b16459;
    padding: 0px 10px;
    vertical-align: middle;
    border-radius: 5px;
    font-size: 28px;
    margin: 0 5px 0 30px;
}
body ::-webkit-scrollbar {
    width: 5px;
}
body ::-webkit-scrollbar-track {
    background-color: #ffa197;
}
body ::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background:  #c78881;
}
.items{
    &__wrapper{
        width: auto;
        padding: 0 50px;
        &--center{
            display: inline-block;
            margin: 0 auto;
            width: 46%;
            position: relative;
            padding: 0 2% 2%;
        }
        &--left,
        &--right{
            display: inline-block;
            width: 46%;
            // float: left;
            position: relative;
            padding: 0 2% 2%;
        }
        &--rightInner,
        &--leftInner{
            height: 300px;
            overflow-y: auto;
        }
    }
}
.items__pieces{
    &--left{
        display: inline-block;
        vertical-align: middle;
    }
    &--right{
        display: inline-block;
        vertical-align: middle;
    }
}
.btn-plus,
.btn-minus{
    font-size: 42px;
    line-height: 36px;
    padding: 3px 12px;
    border-radius: 5px;
    border: 0;
    font-family: 'Kanit', sans-serif;
    vertical-align: middle;
    margin: 0 5px;
}
.btn-plus{
    background: rgb(255,255,255);
    background: -moz-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#b4b4b4",GradientType=1);
}
.btn-minus{
    background: rgb(240,0,4);
    background: -moz-radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    background: radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#f00004",endColorstr="#b10002",GradientType=1);
    color: #fff;
}
.line::after{
    content: '';
    border-right: 5px solid #fff;
    position: absolute;
    right: 0;
    top: 0;
    height: 438px;
    margin-top: -58px;

}

//trade page
.trade{
    &::after{
        content: '';
        background: url("./../static/images/charactor_trade.png") no-repeat top center;
        width: 300px;
        height: 485px;
        display: block;
        position: absolute;
        left: 0;
        bottom: 0;
    }
}

// combine page
.combine{
    & .items__wrapper--centerCombine{
        background-color: #f8f3eb;
        border: 4px double #c5a281;
        border-radius: 20px;
        padding: 50px 10px;
    }
    & .items__wrapper--leftCombine,
    & .items__wrapper--rightCombine{
        background-color: #f8f3eb;
        border: 4px double #c5a281;
        border-radius: 20px;
        padding: 50px 10px;

    }
    .btn-soul{
        margin-top: -20px;
    }
    & .items__box{
        width: 28%;
        vertical-align: middle;
        position: relative;
        padding: 0 8px;
    }
    & .items__box:nth-child(2)::after{
        content: '';
        background: url("./../static/images/arrow_right.png") no-repeat top center;
        width: 31px;
        height: 26px;
        display: block;
        position: absolute;
        right: 0;
        top: 50%;
        margin-top: -15px;
        margin-right: -18px;
    }
}

//lucky page
.lucky{
    & .container{
        padding-bottom: 31em;
    }
}
.block__count{
    color: #000;
    &--wrapper{
        display: inline-block;
        margin: 0 10px;
    }
    & img{
        vertical-align: middle;
    }
    &--sum{
        color: #f6a81f;
        background-color: #000;
        border: 2px solid #f6a81f;
        padding: 3px 15px;
        border-radius: 17px;
        font-size: 22px;
        vertical-align: middle;
    }
}
.block__items{
    background-color: #1d1918;
    border: 1px solid #08373b;
    height: 310px;
    &--left{
        background-color: #08373b;
        width: 40%;
        float: left;
        padding: 33px;
        box-sizing: border-box;
        position: relative;
        color: #fff;
        font-size: 20px;
        text-shadow: 2px 3px 2px #000;
        box-shadow: inset 6px 10px 10px -6px #000;
        min-height: 310px;
        &::after{
            content: "";
            position: absolute;
            top: 50%;
            margin-top: -20px;
            border-top: 20px solid transparent;
            border-bottom: 20px solid transparent;
            border-left: 30px solid #08373b;
            right: -30px;

        }
    }
    &--right{
        width: 60%;
        float: left;
        padding: 15px;
        box-sizing: border-box;
        height: 100%;
        box-shadow: inset 6px 10px 10px -6px #000;
    }
    &--rightInner{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;
        text-align: center;
        color: #93fffb;
    }
    &--leftImg{
        position: relative;
        display: inline-block;
        &.best{
            &::after{
                content: '';
                background: url('./../static/images/best.png') no-repeat top center;
                width: 60px;
                height: 60px;
                position: absolute;
                top: -15px;
                left: -15px;
            }
        }
    }
   &--leftInner{
       display: flex;
       flex-direction: row;
       align-items: center;
       margin-bottom: 20px;
   }
   &--leftContent{
        text-align: left;
        padding-left: 10px;
   }
   &--rightImg{
       height: 70px;
       & img{
           max-height: 100%;
       }
   }
}
.percent,
.rareItems{
    color: #fff;
    display: inline-block;
    padding: 3px 10px;
    border-radius: 20px;
}
.percent{
    background: rgba(221,166,27,1);
    background: -moz-linear-gradient(top, rgba(221,166,27,1) 0%, rgba(221,150,27,1) 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(221,166,27,1)), color-stop(100%, rgba(221,150,27,1)));
    background: -webkit-linear-gradient(top, rgba(221,166,27,1) 0%, rgba(221,150,27,1) 100%);
    background: -o-linear-gradient(top, rgba(221,166,27,1) 0%, rgba(221,150,27,1) 100%);
    background: -ms-linear-gradient(top, rgba(221,166,27,1) 0%, rgba(221,150,27,1) 100%);
    background: linear-gradient(to bottom, rgba(221,166,27,1) 0%, rgba(221,150,27,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#dda61b', endColorstr='#dd961b', GradientType=0 );
}
.rareItems{
    background: rgba(46,160,189,1);
    background: -moz-linear-gradient(top, rgba(46,160,189,1) 0%, rgba(21,130,170,1) 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(46,160,189,1)), color-stop(100%, rgba(21,130,170,1)));
    background: -webkit-linear-gradient(top, rgba(46,160,189,1) 0%, rgba(21,130,170,1) 100%);
    background: -o-linear-gradient(top, rgba(46,160,189,1) 0%, rgba(21,130,170,1) 100%);
    background: -ms-linear-gradient(top, rgba(46,160,189,1) 0%, rgba(21,130,170,1) 100%);
    background: linear-gradient(to bottom, rgba(46,160,189,1) 0%, rgba(21,130,170,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#2ea0bd', endColorstr='#1582aa', GradientType=0 );
}

// Exchange
.tag{
    background: url('./../static/images/tag.png') no-repeat top center;
    width: 60px;
    height: 35px;
    text-align: center;
    padding: 15px 5px;
    font-size: 16px;
    position: absolute;
    left: -20px;
    top: -20px;
}
.block__exchange{
    width: 50%;
    float: left;
    padding: 20px;
    position: relative;
    box-sizing: border-box;
    &--wrapper{
        display: flex;
        flex-direction: row;
        align-items: center;
        background-color: #08373b;
        color: #fff;
        font-size: 20px;
        text-shadow: 2px 3px 2px #000;
        box-shadow: inset 0 4px 10px #000;
        min-height: 270px;
        padding: 30px;
        justify-content: space-evenly;
    }
    &--img{
        position: relative;
        display: inline-block;
    }
    &--content{
        padding-left: 10px;
        & p{
            font-size: 16px;
        }
    }
    &--count{
        font-size: 24px;
    }
}

.block__btn-exchange{
    margin-top: -30px;
}

//section gachapon
.gachapon{
    & .container{
        &__bg{
            margin-left: -77px;
            margin-right: -77px;
            border-left: 0;
            border-right: 0;
            border-radius: 0;
        }
    }
    &__items{
        position: relative;
        display: inline-block;
        margin: 20px;
        font-size: 0;
        &:after{
        // &:hover::after{
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            box-shadow: inset 0 0 50px 2px #f6e3c3;
            -moz-box-shadow: inset 0 0 50px 2px #f6e3c3;
            -webkit-box-shadow: inset 0 0 50px 2px #f6e3c3;
            border-radius: 10px;
            opacity: 0;
        }
        &--rnd0infinite::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd5infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd6infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd7infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd5::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd6::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd7::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected::after { @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }

    }
}


// Menu
.left__menu{
    & .menu-icon{
        margin: 20px 0 0 20px;
        display: inline-block;
        cursor: pointer;
    }
    & .menu-close{
        position: absolute;
        top: 10px;
        right: 15px;
        min-width: 30px;
        min-height: 20px;
        cursor: pointer;
        & a::before,
        & a::after{
            position: absolute;
            left: 15px;
            content: ' ';
            height: 25px;
            width: 3px;
            top: 5px;
            background-color: #fff;
        }
        & a:before{
            -o-transform: rotate(45deg);
            -moz-transform: rotate(45deg);
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
        }
        & a::after{
            -o-transform: rotate(-45deg);
            -moz-transform: rotate(-45deg);
            -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
        }
    }
    &--list{
        position: absolute;
        top: 0;
        z-index: 999;
        left: -1000px;
        width: 250px;
        background:url('./../static/images/bg_left_menu.png') repeat-y 0 0;
        padding: 100px 30px;
        height: 100vh;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
        &.show{
            left: 0;
        }
        & a {
            text-decoration: none;
            color: #b6a7a0;
            font-size: 18px;
            display: block;
            padding: 5px 0;
            &:hover{
                color: #9d5431;
            }
        }
    }
    & .bg-overlay{
        background-color: rgba(0,0,0,0.9);
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        bottom: 0;
        top: 0;
        z-index: 9;
        display: none;
        &.show{
            display: block;
        }
    }
}

.content__scroll{
    height: 330px;
    overflow-y: auto;
}
